summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2011-01-09 18:34:04 +0100
committer Robby Workman2011-01-10 22:04:44 +0100
commit7731e4686a24533c2e1eca5befb819b920f52671 (patch)
treecf28ba5ae284c4458aa259a4f29b0d2ee49b03cf
parentbb3d572ed4fea988654fd631688fb63d706563ee (diff)
downloadslackbuilds-7731e4686a24533c2e1eca5befb819b920f52671.tar.gz
libraries/rubygem-highline: Added (ruby console input library)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--libraries/rubygem-highline/README7
-rw-r--r--libraries/rubygem-highline/rubygem-highline.SlackBuild99
-rw-r--r--libraries/rubygem-highline/rubygem-highline.info10
-rw-r--r--libraries/rubygem-highline/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/libraries/rubygem-highline/README b/libraries/rubygem-highline/README
new file mode 100644
index 0000000000..04cdaac4a1
--- /dev/null
+++ b/libraries/rubygem-highline/README
@@ -0,0 +1,7 @@
+HighLine is a Ruby Gem designed to ease the tasks of doing console
+input and output with low-level methods like gets() and puts().
+HighLine provides a robust system for requesting data from a user,
+without needing to code all the error checking and validation rules and
+without needing to convert the typed Strings into what your program
+really needs. Just tell HighLine what you're after, and let it do
+all the work.
diff --git a/libraries/rubygem-highline/rubygem-highline.SlackBuild b/libraries/rubygem-highline/rubygem-highline.SlackBuild
new file mode 100644
index 0000000000..0aba1771e6
--- /dev/null
+++ b/libraries/rubygem-highline/rubygem-highline.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Script written by Benjamin Trigona-Harany (bosth@alumni.sfu.ca)
+# based on rubygem template by vbatts
+
+PRGNAM=rubygem-highline
+VERSION=${VERSION:-1.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=highline
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+DESTDIR=$( ruby -r rbconfig -e '
+include RbConfig
+printf("%s/%s/gems/%s\n",
+ CONFIG["libdir"],
+ CONFIG["RUBY_INSTALL_NAME"],
+ CONFIG["ruby_version"]
+ )
+')
+
+# print a friendly warning of unsatisfied dependencies
+gem specification $CWD/$SRCNAM-$VERSION.gem | \
+ ruby -r yaml -r rbconfig -e '
+c = Config::CONFIG
+path = sprintf("%s/%s/gems/%s",
+ c["libdir"],
+ c["RUBY_INSTALL_NAME"],
+ c["ruby_version"])
+sys_gemspecs = Dir.glob(path + "/specifications/*").map {|g| gs = Gem::Specification.load(g); gs.name }
+obj = Gem::Specification.from_yaml($stdin)
+obj.dependencies.each {|dep|
+ if not(dep.type == :runtime)
+ next
+ end
+ if not(sys_gemspecs.include?(dep.name))
+ $stderr.write("WARNING: #{dep.name} gem not found\n")
+ sleep 0.5
+ end
+}'
+
+gem install \
+ --local \
+ --no-update-sources \
+ --ignore-dependencies \
+ --backtrace \
+ --install-dir $PKG/$DESTDIR \
+ $CWD/$SRCNAM-$VERSION.gem
+
+# Strip binaries and libraries.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove cached gem from install
+rm -rf $PKG/$DESTDIR/cache
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+tar -x -O --file=$CWD/$SRCNAM-$VERSION.gem data.tar.gz | tar -xz -C $PKG/usr/doc/$PRGNAM-$VERSION --file=- \
+ CHANGELOG INSTALL LICENSE README TODO
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/rubygem-highline/rubygem-highline.info b/libraries/rubygem-highline/rubygem-highline.info
new file mode 100644
index 0000000000..c28301a99b
--- /dev/null
+++ b/libraries/rubygem-highline/rubygem-highline.info
@@ -0,0 +1,10 @@
+PRGNAM="rubygem-highline"
+VERSION="1.6.1"
+HOMEPAGE="http://highline.rubyforge.org/"
+DOWNLOAD="http://rubygems.org/downloads/highline-1.6.1.gem"
+MD5SUM="7df5009f04255c573751661bc58459f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/libraries/rubygem-highline/slack-desc b/libraries/rubygem-highline/slack-desc
new file mode 100644
index 0000000000..0fad89ef8c
--- /dev/null
+++ b/libraries/rubygem-highline/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rubygem-highline: rubygem-highline (ruby console input library)
+rubygem-highline:
+rubygem-highline: HighLine is a Ruby Gem designed to ease the tasks of doing console
+rubygem-highline: input and output with low-level methods like gets() and puts().
+rubygem-highline: HighLine provides a robust system for requesting data from a user,
+rubygem-highline: without needing to code all the error checking and validation rules
+rubygem-highline: and without needing to convert the typed strings into what your
+rubygem-highline: program really needs.
+rubygem-highline:
+rubygem-highline:
+rubygem-highline: